Package fr.gouv.vitam.common.database.server.mongodb

# Class VitamMongoCursor<T>

java.lang.Object
fr.gouv.vitam.common.database.server.mongodb.VitamMongoCursor<T>

All Implemented Interfaces:
  `com.mongodb.client.MongoCursor<T>`, `Closeable`, `AutoCloseable`, `Iterator<T>`

public class VitamMongoCursor<T> extends Object implements com.mongodb.client.MongoCursor<T>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VitamMongoCursor(com.mongodb.client.MongoCursor<T> cursor)`
  `VitamMongoCursor(com.mongodb.client.MongoCursor<T> cursor, long total, String scrollId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `available()`
  `void`
  `close()`
  `String`
  `getScrollId()`
  `@NotNull com.mongodb.ServerAddress`
  `getServerAddress()`
  `com.mongodb.ServerCursor`
  `getServerCursor()`
  `long`
  `getTotal()`
  `boolean`
  `hasNext()`
  `T`
  `next()`
  `T`
  `tryNext()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Iterator

  `forEachRemaining, remove`

- ## Constructor Details

  - ### VitamMongoCursor

    public VitamMongoCursor(com.mongodb.client.MongoCursor<T> cursor, long total, String scrollId)

  - ### VitamMongoCursor

    public VitamMongoCursor(com.mongodb.client.MongoCursor<T> cursor)

- ## Method Details

  - ### close

    public void close()
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `Closeable`
    Specified by:
      `close` in interface `com.mongodb.client.MongoCursor<T>`

  - ### hasNext

    public boolean hasNext()
    Specified by:
      `hasNext` in interface `Iterator<T>`
    Specified by:
      `hasNext` in interface `com.mongodb.client.MongoCursor<T>`

  - ### next

    @NotNull public T next()
    Specified by:
      `next` in interface `Iterator<T>`
    Specified by:
      `next` in interface `com.mongodb.client.MongoCursor<T>`

  - ### available

    public int available()
    Specified by:
      `available` in interface `com.mongodb.client.MongoCursor<T>`

  - ### tryNext

    public T tryNext()
    Specified by:
      `tryNext` in interface `com.mongodb.client.MongoCursor<T>`

  - ### getServerCursor

    public com.mongodb.ServerCursor getServerCursor()
    Specified by:
      `getServerCursor` in interface `com.mongodb.client.MongoCursor<T>`

  - ### getServerAddress

    @NotNull public @NotNull com.mongodb.ServerAddress getServerAddress()
    Specified by:
      `getServerAddress` in interface `com.mongodb.client.MongoCursor<T>`

  - ### getTotal

    public long getTotal()

  - ### getScrollId

    public String getScrollId()